Index: apps/app_voicemail.c
===================================================================
--- apps/app_voicemail.c	(revision 47305)
+++ apps/app_voicemail.c	(working copy)
@@ -218,6 +218,7 @@
 	\arg \b de - German
 	\arg \b es - Spanish
 	\arg \b fr - French
+	\arg \b he - Hebrew
 	\arg \b it = Italian
 	\arg \b nl - Dutch
 	\arg \b pt - Polish
@@ -4181,6 +4182,8 @@
 		res = ast_say_date_with_format(chan, t, AST_DIGIT_ANY, chan->language, "'vm-received' q 'digits/at' 'digits/hours' k 'digits/e' M 'digits/minutes'", NULL);
 	else if (!strcasecmp(chan->language,"gr"))
 		res = ast_say_date_with_format(chan, t, AST_DIGIT_ANY, chan->language, "'vm-received' q  H 'digits/kai' M ", NULL);
+	else if (!strcasecmp(chan->language,"he"))	/* HEBREW syntax */
+		res = ast_say_date_with_format(chan, t, AST_DIGIT_ANY, chan->language, "'vm-received' q 'digits/at' R", NULL);
 	else
 		res = ast_say_date_with_format(chan, t, AST_DIGIT_ANY, chan->language, "'vm-received' q 'digits/at' IMp", NULL);
 #if 0
Index: main/say.c
===================================================================
--- main/say.c	(revision 47305)
+++ main/say.c	(working copy)
@@ -3763,7 +3763,11 @@
 				}
 				break;
 			case 'R':
-				res = ast_say_date_with_format_he(chan, time, ints, lang, "HM", timezone);
+				if ((0 > tm.tm_min) && (tm.tm_min < 21)) {
+					res = ast_say_date_with_format_he(chan, time, ints, lang, "H 'digits/ve' M", timezone);
+				} else {
+					res = ast_say_date_with_format_he(chan, time, ints, lang, "HM", timezone);
+				}
 				break;
 			case 'S': /* Seconds */
 				res = ast_say_number_full_he(chan, tm.tm_sec,
